[教学]所见即所得的快乐tex世界:lyx和xetex的配合

OOo,TeX,KO,ABI,GIMP,Picasa,ProE,QCAD,Inkscape,Kicad,Eagle
xiechy
帖子: 1074
注册时间: 2006-01-18 15:01
送出感谢: 0
接收感谢: 1 次

[教学]所见即所得的快乐tex世界:lyx和xetex的配合

#1

帖子 xiechy » 2007-06-23 1:22

李果正前辈的文章:
http://blog.bs2.to/post/EdwardLee/8545
果正前辈,大家相信都是钦佩的。他文章中的lyx要求版本号为1.5,这个版本有了质的飞跃──直接支持utf8,也就是说我们头疼的中文问题终于解决了。

他要求的lyx版本在feisty,甚至gutsy中,都还没有,由于debian的unstable现在也只是1.4,所以,在不久的未来应该也还不会进入。

我自己是用gutsy的,但大部分人可能不会象我这样,所以我只写出具体的步骤,由大家自己编译,才不会出现头疼的依赖约束。

首先编辑/etc/apt/sources.list
添加debian的experimental的source

代码: 全选

deb-src http://debian.ustc.edu.cn/debian experimental main contrib non-free

代码: 全选

sudo aptitude update
cd /tmp
apt-get source lyx
sudo apt-get build-dep lyx
cd lyx-1.5.0~rc1/
sudo aptitude install fakeroot
dpkg-buildpackage -rfakeroot
cd ..
dpkg -i *.deb
恩,搞定。将sources.list改回来就好了。
之后就可以照着果正前辈的好文,简单中文所见所得的TeX了~
ubantu
帖子: 154
注册时间: 2007-03-01 22:54
送出感谢: 0
接收感谢: 0

#2

帖子 ubantu » 2007-06-23 8:38

还是不所见即所得的好。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#3

帖子 eexpress » 2007-06-23 18:06

ubantu 写了:还是不所见即所得的好。
为什么?都喜欢用imagemagick画图?
● 鸣学
头像
forrid
帖子: 659
注册时间: 2007-04-23 17:40
送出感谢: 0
接收感谢: 0

#4

帖子 forrid » 2007-06-23 20:05

连接速度较比慢,哎,

吾生也有涯,而知也无涯,以有涯随无涯,SB啊~~~~~~~~~~
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#5

帖子 skyx » 2007-06-23 20:35

代码: 全选

dpkg-source:正在解压 lyx 于 lyx-1.5.0~rc1
dpkg-source:正在解包 lyx_1.5.0~rc1.orig.tar.gz
dpkg-source:正在应用 ./lyx_1.5.0~rc1-1.diff.gz
sky@Thinkpad:/tmp$ sudo apt-get build-dep lyx
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
读取状态信息... 完成             
注意,我选了 libaiksaurus-1.2-dev 而非 libaiksaurus-dev
E: 由于无法找到符合要求的软件包 libqt4-dev 的可用版本,因此不能满足 lyx 所要求的 Build-Depends 依赖关系

这是什么原因?
楼主是gutsy,之前有没有装qt什么的?


我用feisty,看了死雕的贴,装过一堆qt,是不是这个原因?系统不纯净?

恶心的雕!
no security measure is worth anything if an attacker has physical access to the machine
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 zhan » 2007-06-23 20:54

找不到 qt4 的开发包,基本上是不可能的事情嘛... 和系统纯不纯没有什么关系,倒是有点冤枉雕了.. 呵呵。

不过,个人怀疑是 qt4 的版本不同引起的.

lyx 也用 qt4 了哈..

那天用 TeXLive 2007 装了一个 接近 200M 的 xetex 可用的系统,不过有些东西用起来还是没有 latex+cjk 顺手...
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#7

帖子 skyx » 2007-06-23 21:00

zhan 写了:找不到 qt4 的开发包,基本上是不可能的事情嘛... ..
你的意思就是能找到嘛!rpwt也没有,不是死雕的原因是什么?
no security measure is worth anything if an attacker has physical access to the machine
雕啸长空
帖子: 1897
注册时间: 2006-09-12 14:09
送出感谢: 0
接收感谢: 0

#8

帖子 雕啸长空 » 2007-06-23 22:07

skyx 写了:我用feisty,看了死雕的贴,装过一堆qt,是不是这个原因?系统不纯净?

恶心的雕!
MM...我怎么不知道有这回事?哪个帖?
Fair winds and following seas !
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#9

帖子 eexpress » 2007-06-23 22:17

这恶心的雕。小心被批斗死的。
● 鸣学
ltkun
帖子: 1335
注册时间: 2006-01-10 19:09
送出感谢: 0
接收感谢: 0

#10

帖子 ltkun » 2007-06-23 22:44

电脑配置低还是vim加xelatex吧~
xiechy
帖子: 1074
注册时间: 2006-01-18 15:01
送出感谢: 0
接收感谢: 1 次

#11

帖子 xiechy » 2007-06-24 13:04

小声说, 其实偶也只是试了安装,配置成功,其实还是vim用的舒服,是不是所见即所得真的感觉没什么必要~在lyx里面,习惯性的打vim的快捷(还有些是自己定义的常用法~),写了半个小时难受死了,这个,唉,可能也就是还没有用过emacs和vi的兄弟可能喜欢吧~
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 zhan » 2007-06-24 14:58

哈 用 emacs+auctex 的飘过~~~
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn
头像
Tenyears
帖子: 2245
注册时间: 2005-06-30 15:46
来自: 成都
送出感谢: 0
接收感谢: 0

#13

帖子 Tenyears » 2007-06-24 16:14

zhan 写了:哈 用 emacs+auctex 的飘过~~~
:em11
Humanity to others // 己所不欲,勿施与人
Laptop: ThinkPad X220 --- Win7 Home / Ubuntu 12.04
Desktop: Win7/Ubuntu 12.04
Server: Ubuntu12.04
头像
interskh
帖子: 203
注册时间: 2005-11-16 10:42
送出感谢: 0
接收感谢: 0
联系:

#14

帖子 interskh » 2007-06-26 15:30

eexpress 写了:
ubantu 写了:还是不所见即所得的好。
为什么?都喜欢用imagemagick画图?
哇靠,用imagemagick画图的人是真nb啊~
ltkun
帖子: 1335
注册时间: 2006-01-10 19:09
送出感谢: 0
接收感谢: 0

#15

帖子 ltkun » 2007-06-26 19:39

用gnuplot和metafont画呢?
回复

回到 “办公、图像、机械电子设计等”